package com.goldenwater.slaj.acci.service;

import java.util.List;
import com.goldenwater.slaj.acci.domain.BisAcciAssessRec;

/**
 * 事故考核记录 服务层
 */
public interface IBisAcciAssessRecService {

    /**
     * 查询事故考核记录信息
     * @param id 查询条件
     * @return 事故考核记录信息
     */
    BisAcciAssessRec selectBisAcciAssessRecById(Long id);

    /**
     * 查询事故考核记录列表
     * @param bisAcciAssessRec 事故考核记录查询条件
     * @return 事故考核记录集合
     */
    List<BisAcciAssessRec> selectBisAcciAssessRecList(BisAcciAssessRec bisAcciAssessRec);

    /**
     * 新增事故考核记录
     * @param bisAcciAssessRec 事故考核记录信息
     * @return 影响行数
     */
    int insertBisAcciAssessRec(BisAcciAssessRec bisAcciAssessRec);

    /**
     * 修改事故考核记录
     * @param bisAcciAssessRec 事故考核记录信息
     * @return 影响行数
     */
    int updateBisAcciAssessRec(BisAcciAssessRec bisAcciAssessRec);

    /**
     * 删除事故考核记录
     * @param id 事故考核记录主键
     * @return 影响行数
     */
    int deleteBisAcciAssessRecById(Long id);

    /**
     * 批量删除事故考核记录
     * @param ids 事故考核记录主键数组
     * @return 影响行数
     */
    int deleteBisAcciAssessRecByIds(Long[] ids);
}
